import 'package:flutter/material.dart';

class ConstColors {
  ConstColors._();

  // nejaky barvy https://encycolorpedia.com/f6f3ed
  static const light = Color(0xfff6f3ed);
  static const dark = Color(0xff000000);
  static const lightSec = Color(0xffc8c6c1);
  static const darkSec = Color(0xff282827);
  static const red = Color(0xfffd3a4a);
  static const undefinedDark = Color(0xff738276);
  static const undefinedLight = Color(0xffd6c8ad);
}

class Consts {
  Consts._();

  static double borderRadius = 25.0;
  static String currentHomeIdKey = 'CurrentHomeIdKey';
  static String favoriteDevicesKey = 'FavoriteDeviceIDsKey';
  static double deviceWidgetWidth = 170;
  static double deviceWidgetHeight = 150;
  static double screenSpacerCoeff = 3;
  static double devicesChipsWidgetHeight = 56.0;
  static double screenHeaderSpacer = 16.0;
  static double maxLeftMenuWidth = 250;
  static double leftMenuWidthCoeff = 5;
  static SizedBox screenFooterHeight = const SizedBox(
    height: 32,
  );
  static double screenBreakpointWidht = 600;
  static EdgeInsetsGeometry leftMenuCategoryPadding = const EdgeInsets.only(
    top: 8.0,
    left: 8.0,
    right: 8.0,
  );
  static EdgeInsetsGeometry titleWidgetPadding =
      const EdgeInsets.only(left: 16, top: 8, right: 16, bottom: 8);
}

class ConstIcons {
  ConstIcons._();

  static IconData deviceLight = Icons.lightbulb_outline;
  static IconData deviceBlinder = Icons.menu_outlined;
  static IconData deviceDoor = Icons.door_front_door_outlined;
  static IconData deviceHeating = Icons.local_fire_department_outlined;
  static IconData deviceRecuperation = Icons.air_outlined;
  static IconData notFavorite = Icons.favorite_border_rounded;
  static IconData favorite = Icons.favorite_rounded;
}
