import 'dart:convert';

import 'package:mcomp_flutter_app/models/plc_models/plc_model_post.dart';
import 'package:web_socket_channel/web_socket_channel.dart';

class WebSocketHelper {
  factory WebSocketHelper() {
    return _webSocketHelper;
  }

  WebSocketHelper._internal();
  static final WebSocketHelper _webSocketHelper = WebSocketHelper._internal();

  WebSocketChannel? _channel;

  WebSocketChannel connectWebSocket(String? address) {
    final wsUrl = Uri.parse('ws://$address');
    _channel = WebSocketChannel.connect(wsUrl, protocols: ['devs']);
    _channel?.sink.add('{"intent": "list"}');
    return _channel!;
  }

  void closeWebSocket() {
    _channel?.sink.close();
  }

  void wsUpdateDevice(String deviceId, Map<String, dynamic> props) {
    final message = jsonEncode(
      PlcModelPost(payload: [Payload(id: deviceId, props: props)]),
    );
    _channel?.sink.add(message);
  }
}
