import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/device_model.dart';
import 'package:mcomp_flutter_app/models/device/device_model_type.dart';
import 'package:mcomp_flutter_app/models/room_model.dart';

part 'blinder_model.g.dart';

@JsonSerializable()
class BlinderModel extends DeviceModel {
  BlinderModel(
    super.deviceType, {
    required super.id,
    required super.name,
    required super.typeFromPlc,
    required super.room,
  });
  factory BlinderModel.fromJson(Map<String, dynamic> json) =>
      _$BlinderModelFromJson(json);

  @override
  Map<String, dynamic> toJson() {
    final objToJson = BlinderModel(
      DeviceModelType.blinder,
      id: id,
      name: name,
      typeFromPlc: typeFromPlc,
      room: room,
    );
    return _$BlinderModelToJson(objToJson);
  }
}
