import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/device_model.dart';
import 'package:mcomp_flutter_app/models/device/device_model_type.dart';
import 'package:mcomp_flutter_app/models/room_model.dart';

part 'door_model.g.dart';

@JsonSerializable()
class DoorModel extends DeviceModel {
  DoorModel(
    super.deviceType, {
    required super.id,
    required super.name,
    required super.typeFromPlc,
    required super.room,
  });

  factory DoorModel.fromJson(Map<String, dynamic> json) =>
      _$DoorModelFromJson(json);

  @override
  Map<String, dynamic> toJson() {
    final objToJson = DoorModel(
      DeviceModelType.door,
      id: id,
      name: name,
      typeFromPlc: typeFromPlc,
      room: room,
    );
    return _$DoorModelToJson(objToJson);
  }
}
