import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/device_model.dart';
import 'package:mcomp_flutter_app/models/device/device_model_type.dart';
import 'package:mcomp_flutter_app/models/device/mode/heating_mode_model.dart';
import 'package:mcomp_flutter_app/models/room_model.dart';

part 'heating_model.g.dart';

@JsonSerializable(explicitToJson: true)
class HeatingModel extends DeviceModel {
  HeatingModel(
    super.deviceType, {
    required this.mode,
    required super.id,
    required super.name,
    required super.typeFromPlc,
    required super.room,
  });
  factory HeatingModel.fromJson(Map<String, dynamic> json) =>
      _$HeatingModelFromJson(json);

  final List<HeatingModeModel> mode;

  @override
  Map<String, dynamic> toJson() {
    final objToJson = HeatingModel(
      DeviceModelType.heating,
      mode: mode,
      id: id,
      name: name,
      typeFromPlc: typeFromPlc,
      room: room,
    );
    return _$HeatingModelToJson(objToJson);
  }

  void rmHeatingMode(HeatingModeModel mode) {
    if (this.mode.length <= 1) {
      throw UnsupportedError('Cannot have heating without its mode');
    }
    this.mode.remove(mode);
  }

  void addHeatingMode(HeatingModeModel mode) {
    this.mode.add(mode);
  }
}
