import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/device_model.dart';
import 'package:mcomp_flutter_app/models/device/device_model_type.dart';
import 'package:mcomp_flutter_app/models/room_model.dart';

part 'light_model.g.dart';

@JsonSerializable()
class LightModel extends DeviceModel {
  LightModel(
    super.deviceType, {
    required super.id,
    required super.name,
    required super.typeFromPlc,
    required super.room,
  });

  factory LightModel.fromJson(Map<String, dynamic> json) =>
      _$LightModelFromJson(json);

  @override
  Map<String, dynamic> toJson() {
    final objToJson = LightModel(
      DeviceModelType.light,
      id: id,
      name: name,
      typeFromPlc: typeFromPlc,
      room: room,
    );
    return _$LightModelToJson(objToJson);
  }
}
