import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/time_program/time_program_heating_model.dart';

part 'heating_mode_model.g.dart';

@JsonSerializable(explicitToJson: true)
class HeatingModeModel {
  HeatingModeModel({
    required this.id,
    required this.timePrograms,
    required this.name,
    required this.defaultTemp,
  });

  factory HeatingModeModel.fromJson(Map<String, dynamic> json) =>
      _$HeatingModeModelFromJson(json);
  final String id;
  final String name;
  final double defaultTemp;
  final List<TimeProgramHeatingModel> timePrograms;

  void addTimeProgram(TimeProgramHeatingModel program) {
    timePrograms.add(program);
  }

  void rmTimeProgram(TimeProgramHeatingModel program) {
    timePrograms.remove(program);
  }

  Map<String, dynamic> toJson() => _$HeatingModeModelToJson(this);
}
