import 'package:json_annotation/json_annotation.dart';
import 'package:mcomp_flutter_app/models/device/device_model.dart';
import 'package:mcomp_flutter_app/models/device/device_model_type.dart';
import 'package:mcomp_flutter_app/models/device/time_program/time_program_recup_model.dart';
import 'package:mcomp_flutter_app/models/room_model.dart';

part 'recuperation_model.g.dart';

@JsonSerializable(explicitToJson: true)
class RecuperationModel extends DeviceModel {
  RecuperationModel(
    super.deviceType, {
    required this.timePrograms,
    required super.id,
    required super.name,
    required super.typeFromPlc,
    required super.room,
  });

  factory RecuperationModel.fromJson(Map<String, dynamic> json) =>
      _$RecuperationModelFromJson(json);

  final List<TimeProgramRecupModel> timePrograms;

  @override
  Map<String, dynamic> toJson() {
    final objToJson = RecuperationModel(
      DeviceModelType.recuperation,
      timePrograms: timePrograms,
      id: id,
      name: name,
      typeFromPlc: typeFromPlc,
      room: room,
    );
    return _$RecuperationModelToJson(objToJson);
  }

  void addTimeProgram(TimeProgramRecupModel program) {
    timePrograms.add(program);
  }

  void rmTimeProgram(TimeProgramRecupModel program) {
    timePrograms.remove(program);
  }
}
