import 'package:json_annotation/json_annotation.dart';

part 'plc_model_blinder.g.dart';

@JsonSerializable(explicitToJson: true)
class PlcModelBlinder {
  PlcModelBlinder({this.stopRW, this.percentageR, this.percentageW});

  factory PlcModelBlinder.fromJson(Map<String, dynamic> json) =>
      _$PlcModelBlinderFromJson(json);

  @JsonKey(name: 'STOP_RW')
  StopRW? stopRW;

  @JsonKey(name: 'ACT_PERCENT_R')
  PercentageRW? percentageR;

  @JsonKey(name: 'CMD_PERCENT_W')
  PercentageRW? percentageW;

  Map<String, dynamic> toJson() => _$PlcModelBlinderToJson(this);
}

@JsonSerializable()
class StopRW {
  StopRW({this.dt, this.val});

  factory StopRW.fromJson(Map<String, dynamic> json) => _$StopRWFromJson(json);

  String? dt;
  bool? val;

  Map<String, dynamic> toJson() => _$StopRWToJson(this);
}

@JsonSerializable()
class PercentageRW {
  PercentageRW({this.dt, this.val});

  factory PercentageRW.fromJson(Map<String, dynamic> json) =>
      _$PercentageRWFromJson(json);

  String? dt;
  double? val;

  Map<String, dynamic> toJson() => _$PercentageRWToJson(this);
}
