import 'package:json_annotation/json_annotation.dart';

part 'plc_model_post.g.dart';

@JsonSerializable(explicitToJson: true)
class PlcModelPost {
  PlcModelPost({required this.payload});
  factory PlcModelPost.fromJson(Map<String, dynamic> json) =>
      _$PlcModelPostFromJson(json);

  String intent = 'set';
  List<Payload> payload;

  Map<String, dynamic> toJson() => _$PlcModelPostToJson(this);
}

@JsonSerializable()
class Payload {
  Payload({required this.id, required this.props});

  factory Payload.fromJson(Map<String, dynamic> json) =>
      _$PayloadFromJson(json);

  String id;
  Map<String, dynamic> props;

  Map<String, dynamic> toJson() => _$PayloadToJson(this);
}
