import 'dart:core';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:mcomp_flutter_app/models/plc_models/plc_model_blinder.dart';

Future<double?> showBlinderControlWidget({
  required BuildContext context,
  required PlcModelBlinder blinder,
}) {
  var value = blinder.percentageR?.val;
  return showModalBottomSheet<double?>(
    context: context,
    builder: (BuildContext context) => Column(
      children: [
        Padding(
          padding:
              const EdgeInsets.only(top: 40.0, left: 32, right: 32, bottom: 16),
          child: TextField(
            decoration: InputDecoration(
              border: const OutlineInputBorder(),
              hintText: '${value?.toInt().toString()}%',
            ),
            textAlign: TextAlign.center,
            keyboardType: TextInputType.number,
            inputFormatters: <TextInputFormatter>[
              FilteringTextInputFormatter.digitsOnly
            ],
            onChanged: (text) {
              value = double.tryParse(text);
            },
          ),
        ),
        if (value != null)
          OutlinedButton(
            onPressed: () {
              if (value != null && value! >= 0 && value! <= 100) {
                Navigator.pop(context, value);
              }
            },
            child: Text(
              'Potvrdit',
              style: Theme.of(context).textTheme.labelMedium,
            ),
          ),
        const Spacer()
      ],
    ),
  ).then((value) => value);
}
