import 'package:flutter/material.dart';
import 'package:mcomp_flutter_app/widgets/title_text_widget.dart';

class DeviceFooterWidget extends StatelessWidget {
  const DeviceFooterWidget({
    super.key,
    required this.deviceName,
    required this.roomName,
  });

  final String deviceName;
  final String roomName;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 16.0, right: 16.0, bottom: 8.0),
      child: Column(
        children: [
          TitleTextWidget(
            text: deviceName,
            style: Theme.of(context).textTheme.titleSmall,
          ),
          TitleTextWidget(
            text: roomName,
            style: Theme.of(context).textTheme.labelMedium?.copyWith(
                  color: Theme.of(context)
                      .textTheme
                      .labelMedium
                      ?.color
                      ?.withOpacity(0.9),
                ),
          )
        ],
      ),
    );
  }
}
