import 'package:flutter/material.dart';

class DeviceHeaderWidget extends StatelessWidget {
  const DeviceHeaderWidget({
    required this.deviceIconData,
    required this.favoriteIconData,
    required this.favoritePressed,
    super.key,
  });

  final IconData deviceIconData;
  final IconData favoriteIconData;
  final Function()? favoritePressed;

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16.0),
          child: Icon(
            deviceIconData,
          ),
        ),
        const Spacer(),
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 8.0),
          child: IconButton(
            onPressed: favoritePressed,
            icon: Icon(favoriteIconData),
          ),
        )
      ],
    );
  }
}
