import 'package:flutter/material.dart';
import 'package:mcomp_flutter_app/helpers/constants.dart';
import 'package:mcomp_flutter_app/helpers/device_type.dart';
import 'package:mcomp_flutter_app/widgets/title_text_widget.dart';

class HomeTitleWidget extends StatelessWidget {
  const HomeTitleWidget({
    required this.title,
    required this.homePressed,
    required this.menuPressed,
    super.key,
  });

  final String title;
  final VoidCallback homePressed;
  final VoidCallback menuPressed;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: Consts.titleWidgetPadding,
      child: Row(
        children: [
          Expanded(
            child: TitleTextWidget(
              text: title,
              style: Theme.of(context).textTheme.headlineLarge,
            ),
          ),
          if (DeviceType.isSmallScreen(context))
            IconButton(
              onPressed: homePressed,
              icon: const Icon(Icons.home_outlined),
            ),
        ],
      ),
    );
  }
}
