import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:go_router/go_router.dart';
import 'package:mcomp_flutter_app/helpers/constants.dart';
import 'package:mcomp_flutter_app/helpers/device_helper.dart';
import 'package:mcomp_flutter_app/screens/detail_screen.dart';
import 'package:mcomp_flutter_app/widgets/title_text_widget.dart';

class LeftMenuCategoryItem extends ConsumerWidget {
  const LeftMenuCategoryItem({required this.category, super.key});

  final DeviceCategoryModel? category;

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    if (category == null) return Container();
    final categoryUnwrap = category!;
    return Padding(
      padding: Consts.leftMenuCategoryPadding,
      child: FilledButton.tonalIcon(
        onPressed: () {
          final detailContent = DetailScreenContent(
            title: category?.title ?? '',
            devices: category?.devices ?? [],
          );
          context.push(
            '/detail',
            extra: detailContent,
          );
        },
        style: Theme.of(context).textButtonTheme.style,
        label: TitleTextWidget(
          text: categoryUnwrap.title,
          style: Theme.of(context).textTheme.labelMedium,
        ),
        icon: Icon(category?.icon),
      ),
    );
  }
}
