import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:go_router/go_router.dart';
import 'package:mcomp_flutter_app/helpers/constants.dart';
import 'package:mcomp_flutter_app/models/home_plc_model.dart';
import 'package:mcomp_flutter_app/providers/current_home_provider.dart';
import 'package:mcomp_flutter_app/widgets/title_text_widget.dart';

class LeftMenuHomeItem extends ConsumerWidget {
  const LeftMenuHomeItem({required this.home, super.key});

  final HomePLCModel home;

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Padding(
      padding: Consts.leftMenuCategoryPadding,
      child: FilledButton.tonalIcon(
        onPressed: () {
          ref.read(currentHomeProvider.notifier).setCurrentHome(userHome: home);
          context.push(
            '/',
          );
        },
        style: Theme.of(context).textButtonTheme.style,
        label: TitleTextWidget(
          text: home.name,
          style: Theme.of(context).textTheme.labelMedium,
        ),
        icon: const Icon(Icons.home_outlined),
      ),
    );
  }
}
