import 'package:flutter/material.dart';
import 'package:mcomp_flutter_app/helpers/constants.dart';
import 'package:mcomp_flutter_app/widgets/title_text_widget.dart';

class RoomTitleWidget extends StatelessWidget {
  const RoomTitleWidget({
    required this.title,
    required this.onTap,
    super.key,
  });

  final String title;
  final VoidCallback onTap;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Padding(
        padding: Consts.titleWidgetPadding,
        child: Row(
          children: [
            TitleTextWidget(
              text: title,
              style: Theme.of(context).textTheme.headlineMedium,
            ),
            const Icon(
              Icons.navigate_next_outlined,
              size: 32,
            )
          ],
        ),
      ),
    );
  }
}
