import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:go_router/go_router.dart';
import 'package:mcomp_flutter_app/helpers/constants.dart';
import 'package:mcomp_flutter_app/models/home_plc_model.dart';
import 'package:mcomp_flutter_app/providers/current_home_provider.dart';
import 'package:mcomp_flutter_app/widgets/title_text_widget.dart';

void selectHomeWidget({
  required BuildContext context,
  required WidgetRef ref,
  required List<HomePLCModel> userHomes,
}) {
  showModalBottomSheet<void>(
    context: context,
    shape: RoundedRectangleBorder(
      borderRadius: BorderRadius.circular(Consts.borderRadius),
    ),
    builder: (BuildContext context) {
      return ListView.separated(
        itemCount: userHomes.length,
        shrinkWrap: true,
        itemBuilder: (context, index) {
          return ListTile(
            onTap: () {
              ref
                  .read(currentHomeProvider.notifier)
                  .setCurrentHome(userHome: userHomes[index]);
              context.pop();
            },
            trailing: const Padding(
              padding: EdgeInsets.symmetric(horizontal: 8.0),
              child: Icon(Icons.navigate_next_outlined),
            ),
            title: Padding(
              padding: const EdgeInsets.symmetric(horizontal: 8.0),
              child: TitleTextWidget(
                text: userHomes[index].name,
                style: Theme.of(context).textTheme.labelMedium,
              ),
            ),
          );
        },
        separatorBuilder: (context, index) {
          return Divider(
            height: 1,
            indent: 16,
            endIndent: 16,
            color: Theme.of(context).colorScheme.secondary,
          );
        },
      );
    },
  );
}
